## ros-melodic-rdl-ros-tools 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(rdl_ros_tools)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(catkin REQUIRED COMPONENTS rdl_cmake rdl_msgs rdl_dynamics rdl_urdfreader roscpp sensor_msgs geometry_msgs nav_msgs)

catkin_package(
 CATKIN_DEPENDS rdl_msgs rdl_dynamics rdl_urdfreader roscpp sensor_msgs geometry_msgs nav_msgs
)

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

add_executable(rdl_kinematics_interface src/kinematics_interface.cpp)
target_link_libraries(rdl_kinematics_interface ${catkin_LIBRARIES})
add_dependencies(rdl_kinematics_interface ${catkin_EXPORTED_TARGETS} ${rdl_msgs_EXPORTED_TARGETS})

install(
  TARGETS 
    rdl_kinematics_interface
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

include(Format)
format_code_target()

if(CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)

    add_rostest_gtest(${PROJECT_NAME}_kinematics_interface_test
            test/kinematics_interface/kinematics_interface.test
            test/kinematics_interface/kinematics_interface_test.cpp)
    target_link_libraries(${PROJECT_NAME}_kinematics_interface_test ${catkin_LIBRARIES})

    include(CodeCoverage)
    coverage_add_target(run_tests_${PROJECT_NAME})

    file(GLOB_RECURSE cpp_files ${PROJECT_SOURCE_DIR}/src/*.c* ${PROJECT_SOURCE_DIR}/include/*/*.h*)

    include(Lint)
    lint_library(INCLUDE_DIRS include/${PROJECT_NAME} SRCS ${cpp_files})
endif()

=== debian/changelog ===
ros-melodic-rdl-ros-tools (3.2.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- jordan <jlack1987@gmail.com>  Sun, 12 May 2019 12:17:46 -0000

=== debian/control ===
Source: ros-melodic-rdl-ros-tools
Section: misc
Priority: extra
Maintainer: jordan <jlack1987@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-rdl-dynamics, ros-melodic-rdl-msgs, ros-melodic-rdl-urdfreader, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rdl-ros-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-nav-msgs, ros-melodic-rdl-dynamics, ros-melodic-rdl-msgs, ros-melodic-rdl-urdfreader, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Description: ROS interface into rdl tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rdl-ros-tools//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
